"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Storage = /** @class */ (function () {
    function Storage() {
    }
    /**
     * Returns data saved in the local storage under the specified key name
     *
     * @param key
     */
    Storage.getData = function (key) {
        try {
            return JSON.parse(window.localStorage.getItem(key));
        }
        catch (error) {
            console.error(error);
        }
    };
    /**
     * Saves data to the local storage under the specified key name
     *
     * @param key
     * @param data
     */
    Storage.saveData = function (key, data) {
        try {
            window.localStorage.setItem(key, JSON.stringify(data));
        }
        catch (error) {
            console.error(error);
        }
    };
    /**
     * Removes data with the specified key name from the local storage
     *
     * @param key
     */
    Storage.removeData = function (key) {
        try {
            window.localStorage.removeItem(key);
        }
        catch (error) {
            console.error(error);
        }
    };
    return Storage;
}());
exports.Storage = Storage;
//# sourceMappingURL=Storage.js.map