"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Utils = /** @class */ (function () {
    function Utils() {
    }
    /**
     * Returns the cell size (atomic canvas measure)
     * depending on the screen size and the given vmin value;
     * the returned value is rounded to the nearest ten
     */
    Utils.getCellSize = function (vmin) {
        var vpWidth = window.innerWidth;
        var vpHeight = window.innerHeight;
        var vminCalculated = vpWidth >= vpHeight ? (vpHeight / 100) : (vpWidth / 100);
        return Math.round(vminCalculated * vmin / 10) * 10;
    };
    /**
     * Returns a random number in a given interval;
     * as an option it discards one or more numbers given
     * in the `discard` array
     *
     * @param min
     * @param max
     * @param discard
     */
    Utils.getRandomNum = function (min, max, discard) {
        if (min === void 0) { min = 1; }
        if (max === void 0) { max = 1000; }
        if (discard === void 0) { discard = []; }
        var num = Math.floor(min + Math.random() * (max + 1 - min));
        if (discard.indexOf(num) > -1) {
            return Utils.getRandomNum(min, max, discard);
        }
        return num;
    };
    /**
     * Returns true if the given `value` is a DOM element;
     * otherwise returns false
     *
     * @param value
     */
    Utils.isElement = function (value) {
        return value instanceof Element || value instanceof HTMLDocument;
    };
    return Utils;
}());
exports.Utils = Utils;
//# sourceMappingURL=Utils.js.map