"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var WsDataSource = /** @class */ (function () {
    function WsDataSource(uri, updateState) {
        this.socket = new WebSocket(uri);
        this.updateState = updateState;
        this.socket.onopen = this.onOpen.bind(this);
        this.socket.onclose = this.onClose.bind(this);
        this.socket.onmessage = this.onMessage.bind(this);
        this.socket.onerror = this.onError.bind(this);
    }
    WsDataSource.prototype.onOpen = function () {
        // ...
    };
    WsDataSource.prototype.onClose = function () {
        this.socket = null;
        typeof this.updateState === 'function' && this.updateState();
    };
    WsDataSource.prototype.onMessage = function (event) {
        typeof this.updateState === 'function' && this.updateState(event);
    };
    WsDataSource.prototype.onError = function (event) {
        this.socket.readyState === 1 && console.error("WS error: " + event.type);
    };
    WsDataSource.prototype.send = function (data) {
        this.socket.send(data);
    };
    return WsDataSource;
}());
exports.WsDataSource = WsDataSource;
//# sourceMappingURL=WsDataSource.js.map